Boomi Platform API Reference (1.0.0) - ProcessAtomAttachment
Download OpenAPI Specification: Download
For more information about Postman collections, forking, and making your first API call, refer to the Working with Boomi APIs on Postman page.
The Process Atom Attachment object enables the attachment or detachment of a process to or from a particular Runtime. The Process Atom Attachment object (Legacy) is a deprecated API and should no longer be used. Processes are no longer deployed to a specific runtime, and all accounts are changed to use Environments. You can use the Process Environment Attachment API instead. For more information about Boomi's API object deprecation status, refer to the topic API deprecation and versioning policy.
You can use the Process Atom Attachment object only for processes. For other components, use the Component Atom Attachment object.
Creates a ProcessAtomAttachment object
Attaches a process having the specified ID to the Runtime having the specified ID.
Authorizations:
Request Body schema: optional
| atomId | string |
| componentType | string |
| id | string |
| processId | string |
Responses
Response Schema:
| atomId | string |
| componentType | string |
| id | string |
| processId | string |
Request samples
- Payload
{- "processId": "56789abc-def0-1234-5678-9abcdef01234",
- "atomId": "3456789a-bcde-f012-3456-789abcdef012"
}Response samples
- 200
- 403
- 410
- 503
{- "@type": "ProcessAtomAttachment",
- "id": "Ab0Cd1Ef1Gh3Ij4Kl5Mn6Op7Qr8St9Uv0Wx9Yz8Zy7Xw6Vu5Ts4Rq3Po2Nm1Lk0Ji1Hg",
- "processId": "56789abc-def0-1234-5678-9abcdef01234",
- "componentType": "process",
- "atomId": "3456789a-bcde-f012-3456-789abcdef012"
}Queries for a ProcessAtomAttachment object(s)
For general information about the structure of QUERY filters, their sample payloads, and how to handle the paged results, refer to Query filters and Query paging.
Authorizations:
Request Body schema: optional
Possible properties include: atomId, processId, componentType
required | object | ||||||||||
| |||||||||||
Responses
Response Schema:
| numberOfResults | integer <int32> |
| queryToken | string By default, the queryToken parameter is not available in the query response. It appears only when the query response contains more than 100 results. The maximum number of results returned per query is 100. To retrieve the next set of results, use the queryToken in the queryMore request. |
Array of objects (ProcessAtomAttachment) |
Request samples
- Payload
{- "QueryFilter": {
- "expression": {
- "argument": [
- "3456789a-bcde-f012-3456-789abcdef012"
], - "operator": "EQUALS",
- "property": "atomId"
}
}
}Response samples
- 200
- 403
- 410
- 503
{- "numberOfResults": 2,
- "@type": "QueryResult",
- "result": [
- {
- "@type": "ProcessAtomAttachment",
- "id": "Ab0Cd1Ef1Gh3Ij4Kl5Mn6Op7Qr8St9Uv0Wx9Yz8Zy7Xw6Vu5Ts4Rq3Po2Nm1Lk0Ji1Hg",
- "processId": "56789abc-def0-1234-5678-9abcdef01234",
- "componentType": "process",
- "atomId": "3456789a-bcde-f012-3456-789abcdef012"
}, - {
- "@type": "ProcessAtomAttachment",
- "id": "b0Cd1Ef1Gh3Ij4Kl5Mn6Op7Qr8St9Uv0Wx9Yz8Zy7Xw6Vu5Ts4Rq3Po2Nm1Lk0Ji1HgA",
- "processId": "6789abcd-ef01-2345-6789-abcdef012345",
- "atomId": "3456789a-bcde-f012-3456-789abcdef012"
}
]
}Retrieves additional results for a ProcessAtomAttachment query
To learn about using queryMore, refer to the topic Query paging.
Authorizations:
Request Body schema: text/plainrequired
Responses
Response Schema:
| numberOfResults | integer <int32> |
| queryToken | string By default, the queryToken parameter is not available in the query response. It appears only when the query response contains more than 100 results. The maximum number of results returned per query is 100. To retrieve the next set of results, use the queryToken in the queryMore request. |
Array of objects (ProcessAtomAttachment) |
Response samples
- 200
- 403
- 410
- 503
{- "numberOfResults": 2,
- "@type": "QueryResult",
- "result": [
- {
- "@type": "ProcessAtomAttachment",
- "id": "Ab0Cd1Ef1Gh3Ij4Kl5Mn6Op7Qr8St9Uv0Wx9Yz8Zy7Xw6Vu5Ts4Rq3Po2Nm1Lk0Ji1Hg",
- "processId": "56789abc-def0-1234-5678-9abcdef01234",
- "componentType": "process",
- "atomId": "3456789a-bcde-f012-3456-789abcdef012"
}, - {
- "@type": "ProcessAtomAttachment",
- "id": "b0Cd1Ef1Gh3Ij4Kl5Mn6Op7Qr8St9Uv0Wx9Yz8Zy7Xw6Vu5Ts4Rq3Po2Nm1Lk0Ji1HgA",
- "processId": "6789abcd-ef01-2345-6789-abcdef012345",
- "atomId": "3456789a-bcde-f012-3456-789abcdef012"
}
]
}Deletes a ProcessAtomAttachment object
Detaches a process from a Runtime where the attachment is specified by the conceptual Process Atom Attachment object ID.
Authorizations:
path Parameters
| id required | string |
Responses
Response samples
- 403
- 410
- 503
{- "message": "Access denied due to insufficient permissions."
}